mod_python and xml.sax

Jeffrey Froman jeffrey at fro.man
Wed Dec 22 17:17:28 CET 2004


Fredrik Lundh wrote:

> iirc, both apache and python uses the expat parser; if you don't make sure
> that both use the same expat version, you may get into trouble.

Thank you very much Fredrik, this does seem to be the problem I was having.

> this 
> poster claims to have a fix:
> 
> http://www.modpython.org/pipermail/mod_python/2004-May/015569.html

In fact two fixes are offered in this one short post :-) The second fix,
linking Python against the system Expat library, is specifically warned
against in Modules/Setup:

"""
#... Source of Expat 1.95.2 is included in
# Modules/expat/.  Usage of a system shared libexpat.so/expat.dll is
# not advised.
"""

So I went with the first fix -- I upgraded the system library to Expat
1.95.8 to match the Expat bundled with Python 2.4 (the excerpt above is
apparently a little outdated). Everything is now working again.

Jeffrey



More information about the Python-list mailing list